Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Functions
fdebug.cpp File Reference
`#include "base/source/fdebug.h"`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <unistd.h>`

## Functions
bool | AmIBeingDebugged ()
| Returns true if a debugger is attached.
bool | isSmtgUnitTesting ()
void | setSmtgUnitTesting ()

## Function Documentation

## ◆ AmIBeingDebugged()

bool AmIBeingDebugged | ( |  | ) |

Returns true if a debugger is attached.

## ◆ isSmtgUnitTesting()

bool isSmtgUnitTesting | ( |  | ) |

## ◆ setSmtgUnitTesting()

void setSmtgUnitTesting | ( |  | ) |

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.